import { BlLifeRechargeServices } from './lifeRechargeServices';
import { IRequest, BlLifeRechargeOptions } from './types';

export class BlLifeRecharge<T extends IRequest> {
  services: BlLifeRechargeServices<T>;

  constructor(options: BlLifeRechargeOptions<T>) {
    this.services = new BlLifeRechargeServices(options);
  }

  getRechargeParValue(amount: number, rate: number) {
    return (amount * rate).toFixed(2);
  }
}
